[ Avaa Bypassed ]




Upload:

Command:

hmhc3928@3.137.164.254: ~ $
#! /bin/sh
#
# smartmontools drive database update script
#
# Home page of code is: http://www.smartmontools.org
#
# Copyright (C) 2010-18 Christian Franke
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# $Id: update-smart-drivedb.in 4879 2018-12-28 22:05:12Z chrfranke $
#

set -e

# Set by config.status
export PATH="/usr/local/bin:/usr/bin:/bin"
PACKAGE="smartmontools"
VERSION="7.0"
prefix="/usr"
exec_prefix="/usr"
sbindir="/usr/sbin"
datarootdir="${prefix}/share"
datadir="/usr/share"
drivedbdir="${datadir}/${PACKAGE}"

# Download tools
os_dltools="curl wget lynx svn"

# drivedb.h update branch
BRANCH="RELEASE_7_0_DRIVEDB"

# Default drivedb location
DRIVEDB="$drivedbdir/drivedb.h"

# GnuPG used to verify signature (disabled if empty)
GPG="gpg"

# Smartctl used for syntax check
SMARTCTL="$sbindir/smartctl"

# PATH information for help and error messages
#pathinfo='$PATH'
pathinfo="'$PATH'"

myname=$0

usage()
{
  pathinfo="
                   $pathinfo"
  cat <<EOF
smartmontools $VERSION drive database update script

Usage: $myname [OPTIONS] [DESTFILE]

  -s SMARTCTL     Use SMARTCTL for syntax check ('-s -' to disable)
                  [default: $SMARTCTL]
  -t TOOL         Use TOOL for download: $os_dltools
                  [default: first one found in $pathinfo]
  -u LOCATION     Use URL of LOCATION for download:
                    github (GitHub mirror of SVN repository)
                    sf (Sourceforge code browser)
                    svn (SVN repository) [default]
                    svni (SVN repository via HTTP instead of HTTPS)
                    trac (Trac code browser)
  --trunk         Download from SVN trunk (may require '--no-verify')
  --cacert FILE   Use CA certificates from FILE to verify the peer
  --capath DIR    Use CA certificate files from DIR to verify the peer
  --insecure      Don't abort download if certificate verification fails
  --no-verify     Don't verify signature
  --export-key    Print the OpenPGP/GPG public key block
  --dryrun        Print download commands only
  -v              Verbose output

Updates $DRIVEDB
or DESTFILE from branches/$BRANCH of smartmontools
SVN repository.
EOF
  exit 1
}

error()
{
  echo "$myname: $*" >&2
  exit 1
}

err_notfound()
{
  case $1 in
    */*) error "$1: not found $2" ;;
    *)   error "$1: not found in $pathinfo $2" ;;
  esac
}

warning()
{
  echo "$myname: (Warning) $*" >&2
}

selecturl()
{
  case $1 in
    github)  # https://github.com/smartmontools/smartmontools/raw/origin/$BRANCH/smartmontools/drivedb.h
             # https://github.com/smartmontools/smartmontools/raw/master/smartmontools/drivedb.h
          # redirected to:
          url='https://raw.githubusercontent.com/smartmontools/smartmontools/master/smartmontools/drivedb.h' ;;
    sf)   url='https://sourceforge.net/p/smartmontools/code/HEAD/tree/trunk/smartmontools/drivedb.h?format=raw' ;;
    svn)  url='https://svn.code.sf.net/p/smartmontools/code/trunk/smartmontools/drivedb.h' ;;
    svni) url='http://svn.code.sf.net/p/smartmontools/code/trunk/smartmontools/drivedb.h' ;;
    trac) url='https://www.smartmontools.org/export/HEAD/trunk/smartmontools/drivedb.h' ;;
    *) usage ;;
  esac
}

inpath()
{
  local d rc save
  rc=1
  save=$IFS
  IFS=':'
  for d in $PATH; do
    test -f "$d/$1" || continue
    test -x "$d/$1" || continue
    rc=0
    break
  done
  IFS=$save
  return $rc
}

vecho()
{
  test -n "$q" || echo "$*"
}

# vrun COMMAND ARGS...
vrun()
{
  if [ -n "$dryrun" ]; then
    echo "$*"
  elif [ -n "$q" ]; then
    "$@" 2>/dev/null
  else
    echo "$*"
    "$@"
  fi
}

# vrun2 OUTFILE COMMAND ARGS...
vrun2()
{
  local f err rc
  f=$1; shift
  rc=0
  if [ -n "$dryrun" ]; then
    echo "$* > $f"
  else
    vecho "$* > $f"
    err=`"$@" 2>&1 > $f` || rc=$?
    if [ -n "$err" ]; then
      vecho "$err" >&2
      test $rc != 0 || rc=42
    fi
  fi
  return $rc
}

# download URL FILE
download()
{
  local f u rc
  u=$1; f=$2
  rc=0

  case $tool in
    curl)
      vrun curl ${q:+-s} -f --max-redirs 0 \
        ${cacert:+--cacert "$cacert"} \
        ${capath:+--capath "$capath"} \
        ${insecure:+--insecure} \
        -o "$f" "$u" || rc=$?
      ;;

    wget)
      vrun wget $q --max-redirect=0 \
        ${cacert:+--ca-certificate="$cacert"} \
        ${capath:+--ca-directory="$capath"} \
        ${insecure:+--no-check-certificate} \
        -O "$f" "$u" || rc=$?
      ;;

    lynx)
      test -z "$cacert" || vrun export SSL_CERT_FILE="$cacert"
      test -z "$capath" || vrun export SSL_CERT_DIR="$capath"
      # Check also stderr as lynx does not return != 0 on HTTP error
      vrun2 "$f" lynx -stderr -noredir -source "$u" || rc=$?
      ;;

    svn)
      vrun svn $q export \
        --non-interactive --no-auth-cache \
        ${cacert:+--config-option "servers:global:ssl-trust-default-ca=no"} \
        ${cacert:+--config-option "servers:global:ssl-authority-files=$cacert"} \
        ${insecure:+--trust-server-cert} \
        "$u" "$f" || rc=$?
      ;;

    fetch) # FreeBSD
      vrun fetch $q --no-redirect \
        ${cacert:+--ca-cert "$cacert"} \
        ${capath:+--ca-path "$capath"} \
        ${insecure:+--no-verify-hostname} \
        -o "$f" "$u" || rc=$?
      ;;

    ftp) # OpenBSD
      vrun ftp \
        ${cacert:+-S cafile="$cacert"} \
        ${capath:+-S capath="$capath"} \
        ${insecure:+-S dont} \
        -o "$f" "$u" || rc=$?
      ;;

    *) error "$tool: unknown (internal error)" ;;
  esac
  return $rc
}

# check_file FILE FIRST_CHAR MIN_SIZE MAX_SIZE
check_file()
{
  local firstchar f maxsize minsize size
  test -z "$dryrun" || return 0
  f=$1; firstchar=$2; minsize=$3; maxsize=$4

  # Check first chars
  case `dd if="$f" bs=1 count=1 2>/dev/null` in
    $firstchar) ;;
    \<) echo "HTML error message"; return 1 ;;
    *)   echo "unknown file contents"; return 1 ;;
  esac

  # Check file size
  size=`wc -c < "$f"`
  if test "$size" -lt $minsize; then
    echo "too small file size $size bytes"
    return 1
  fi
  if test "$size" -gt $maxsize; then
    echo "too large file size $size bytes"
    return 1
  fi
  return 0
}

# unexpand_svn_id < INFILE > OUTFILE
unexpand_svn_id()
{
  sed 's,\$''Id'': drivedb\.h [0-9][0-9]* 2[-0-9]* [012][:0-9]*Z [a-z][a-z0-9]* \$,$''Id''$,'
}

# Smartmontools Signing Key (through 2020)
# <smartmontools-database@listi.jpberlin.de>
# Key ID 721042C5
public_key="\
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=0uFV
-----END PGP PUBLIC KEY BLOCK-----
"

# gpg_verify FILE.asc FILE
gpg_verify()
{
  local gnupgtmp opts out rc
  opts="--quiet ${q:+--no-secmem-warnin} --batch --no-tty"

  # Create temp home dir
  gnupgtmp="$tmpdir/.gnupg.$$.tmp"
  rm -f -r "$gnupgtmp"
  mkdir "$gnupgtmp" || exit 1
  chmod 0700 "$gnupgtmp"

  # Import public key
  "$GPG" $opts --homedir="$gnupgtmp" --import <<EOF
$public_key
EOF
  test $? = 0 || exit 1

  # Verify
  rc=0
  out=`"$GPG" $opts --homedir="$gnupgtmp" --verify "$1" "$2" </dev/null 2>&1` || rc=1
  vecho "$out"

  rm -f -r "$gnupgtmp"
  return $rc
}

# mv_all PREFIX OLD NEW
mv_all()
{
  mv "${1}${2}"         "${1}${3}"
  mv "${1}${2}.raw"     "${1}${3}.raw"
  mv "${1}${2}.raw.asc" "${1}${3}.raw.asc"
}

# Parse options
smtctl=$SMARTCTL
tool=
url=
q="-q"
dryrun=
trunk=
cacert=
capath=
insecure=
no_verify=

while true; do case $1 in
  -s)
    shift; test -n "$1" || usage
    smtctl=$1 ;;

  -t)
    shift
    case $1 in *\ *) usage ;; esac
    case " $os_dltools " in *\ $1\ *) ;; *) usage ;; esac
    tool=$1 ;;

  -u)
    shift; selecturl "$1" ;;

  -v)
    q= ;;

  --dryrun)
    dryrun=t ;;

  --trunk)
    trunk=trunk ;;

  --cacert)
    shift; test -n "$1" || usage
    cacert=$1 ;;

  --capath)
    shift; test -n "$1" || usage
    capath=$1 ;;

  --insecure)
    insecure=t ;;

  --no-verify)
    no_verify=t ;;

  --export-key)
    cat <<EOF
$public_key
EOF
    exit 0 ;;

  -*)
    usage ;;

  *)
    break ;;
esac; shift; done

case $# in
  0) DEST=$DRIVEDB ;;
  1) DEST=$1 ;;
  *) usage ;;
esac

if [ -z "$tool" ]; then
  # Find download tool in PATH
  for t in $os_dltools; do
    if inpath "$t"; then
      tool=$t
      break
    fi
  done
  test -n "$tool" || error "found none of '$os_dltools' in $pathinfo"
fi

test -n "$url" || selecturl "svn"

# Check option compatibility
case "$tool:$url" in
  svn:http*://svn.code.sf.net*) ;;
  svn:*) error "'-t svn' requires '-u svn' or '-u svni'" ;;
esac
case "$tool:${capath:+set}" in
  svn:set) warning "'--capath' is ignored if '-t svn' is used" ;;
esac
case "${insecure:-f}:$url" in
  t:http:*) insecure= ;;
  ?:https:*) ;;
  *) error "'-u svni' requires '--insecure'" ;;
esac
case "$tool:$insecure" in
  lynx:t) warning "'--insecure' is ignored if '-t lynx' is used" ;;
esac

# Check for smartctl
if [ "$smtctl" != "-" ]; then
  "$smtctl" -V >/dev/null 2>&1 \
  || err_notfound "$smtctl" "('-s -' to ignore)"
fi

# Check for GnuPG
if [ -z "$no_verify" ]; then
  test -n "$GPG" \
  || error "GnuPG is not available ('--no-verify' to ignore)"
  "$GPG" --version >/dev/null 2>&1 \
  || err_notfound "$GPG" "('--no-verify' to ignore)"
fi

# Use destination directory as temp directory for gpg
tmpdir=`dirname "$DEST"`

# Adjust URLs
src=`echo "$url" | sed -e "s,/trunk/,/branches/$BRANCH/," \
                       -e "s,/master/,/origin/$BRANCH/,"`
src_asc=`echo "$src" | sed "s,/drivedb\.h,/drivedb.h.raw.asc,"`
test -z "$trunk" || src=$url

# Download
test -n "$dryrun" || rm -f "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"

vecho "Download ${trunk:-branches/$BRANCH}/drivedb.h with $tool"
rc=0
download "$src" "$DEST.new" || rc=$?
if [ $rc != 0 ]; then
  rm -f "$DEST.new"
  error "${trunk:-$BRANCH}/drivedb.h: download failed ($tool: exit $rc)"
fi
if ! errmsg=`check_file "$DEST.new" '/' 10000 1000000`; then
  mv "$DEST.new" "$DEST.error"
  error "$DEST.error: $errmsg"
fi

vecho "Download branches/$BRANCH/drivedb.h.raw.asc with $tool"
rc=0
download "$src_asc" "$DEST.new.raw.asc" || rc=$?
if [ $rc != 0 ]; then
  rm -f "$DEST.new" "$DEST.new.raw.asc"
  error "$BRANCH/drivedb.h.raw.asc: download failed ($tool: exit $rc)"
fi
if ! errmsg=`check_file "$DEST.new.raw.asc" '-' 200 2000`; then
  rm -f "$DEST.new"
  mv "$DEST.new.raw.asc" "$DEST.error.raw.asc"
  error "$DEST.error.raw.asc: $errmsg"
fi

test -z "$dryrun" || exit 0

# Create raw file with unexpanded SVN Id
# (This assumes newlines are LF and not CR/LF)
unexpand_svn_id < "$DEST.new" > "$DEST.new.raw"

# Adjust timestamps and permissions
touch "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"
chmod 0644 "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"

if [ -z "$no_verify" ]; then
  # Verify raw file
  if ! gpg_verify "$DEST.new.raw.asc" "$DEST.new.raw"; then
    mv_all "$DEST" ".new" ".error"
    test -n "$trunk" || error "$DEST.error.raw: *** BAD signature ***"
    error "$DEST.error.raw: signature from branch no longer valid ('--no-verify' to ignore)"
  fi
fi

if [ "$smtctl" != "-" ]; then
  # Check syntax
  if ! "$smtctl" -B "$DEST.new" -P showall >/dev/null; then
    mv_all "$DEST" ".new" ".error"
    error "$DEST.error: rejected by $smtctl, probably no longer compatible"
  fi
  vecho "$smtctl: syntax OK"
fi

# Keep old file if identical, ignore missing Id keyword expansion in new file
rm -f "$DEST.lastcheck"
if [ -f "$DEST" ]; then
  if [ -f "$DEST.raw" ] && [ -f "$DEST.raw.asc" ]; then
    if    cmp "$DEST.raw"     "$DEST.new.raw"     >/dev/null 2>&1 \
       && cmp "$DEST.raw.asc" "$DEST.new.raw.asc" >/dev/null 2>&1 \
       && {   cmp "$DEST"     "$DEST.new" >/dev/null 2>&1 \
           || cmp "$DEST.raw" "$DEST.new" >/dev/null 2>&1; }
    then
      rm -f "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"
      touch "$DEST.lastcheck"
      echo "$DEST is already up to date"
      exit 0
    fi
    mv_all "$DEST" "" ".old"
  else
    mv "$DEST" "$DEST.old"
  fi
fi

mv_all "$DEST" ".new" ""

echo "$DEST updated from ${trunk:-branches/$BRANCH}${no_verify:+ (NOT VERIFIED)}"

Filemanager

Name Type Size Permission Actions
.fsck.ext2.40009 File 250.55 KB 0755
.fsck.ext3.40009 File 250.55 KB 0755
.fsck.ext4.40009 File 250.55 KB 0755
.genl-ctrl-list.40009 File 11.27 KB 0755
.iconvconfig.x86_64.40009 File 22.16 KB 0755
.mkfs.ext2.40009 File 94.08 KB 0755
.mkfs.ext3.40009 File 94.08 KB 0755
.mkfs.ext4.40009 File 94.08 KB 0755
.named.40009 File 768.02 KB 0755
.nl-class-add.40009 File 11.7 KB 0755
.nl-class-delete.40009 File 11.55 KB 0755
.nl-class-list.40009 File 11.48 KB 0755
.nl-classid-lookup.40009 File 11.29 KB 0755
.nl-cls-add.40009 File 11.76 KB 0755
.nl-cls-delete.40009 File 11.68 KB 0755
.nl-cls-list.40009 File 11.58 KB 0755
.nl-link-list.40009 File 11.52 KB 0755
.nl-pktloc-lookup.40009 File 11.36 KB 0755
.nl-qdisc-add.40009 File 11.6 KB 0755
.nl-qdisc-delete.40009 File 11.54 KB 0755
.nl-qdisc-list.40009 File 11.63 KB 0755
.tune2fs.40009 File 69.41 KB 0755
NetworkManager File 2.83 MB 0755
accessdb File 11.55 KB 0755
addgnupghome File 3.05 KB 0755
addpart File 19.69 KB 0755
adduser File 134.39 KB 0755
agetty File 48.48 KB 0755
alternatives File 27.61 KB 0755
anacron File 35.52 KB 0755
apachectl File 4.31 KB 0755
applygnupgdefaults File 2.21 KB 0755
arp File 63.98 KB 0755
arpd File 52.98 KB 0755
arping File 23.19 KB 0755
atd File 27.17 KB 0755
atrun File 67 B 0755
audispd File 39.75 KB 0755
auditctl File 39.56 KB 0755
auditd File 125.65 KB 0755
augenrules File 3.7 KB 0755
aureport File 105.39 KB 0755
ausearch File 109.8 KB 0755
authconfig File 43.49 KB 0755
authconfig-tui File 43.49 KB 0755
autrace File 15.49 KB 0750
avcstat File 11.25 KB 0755
badblocks File 27.69 KB 0755
biosdecode File 24.15 KB 0755
biosdevname File 36.57 KB 0755
blkdeactivate File 15.97 KB 0555
blkdiscard File 23.84 KB 0755
blkid File 77.92 KB 0755
blkmapd File 43.81 KB 0755
blockdev File 32.2 KB 0755
bridge File 77.61 KB 0755
btrfs File 690.59 KB 0755
btrfs-convert File 378.62 KB 0755
btrfs-debug-tree File 354.23 KB 0755
btrfs-find-root File 346.22 KB 0755
btrfs-image File 374.63 KB 0755
btrfs-map-logical File 350.27 KB 0755
btrfs-select-super File 346.2 KB 0755
btrfs-zero-log File 346.2 KB 0755
btrfsck File 690.59 KB 0755
btrfstune File 350.24 KB 0755
build-locale-archive File 860.52 KB 0700
cacertdir_rehash File 644 B 0755
capsh File 19.43 KB 0755
cbq File 32.73 KB 0755
cfdisk File 71.37 KB 0755
chat File 27.3 KB 0755
chcpu File 23.7 KB 0755
chgpasswd File 64.1 KB 0755
chkconfig File 40.22 KB 0755
chpasswd File 55.88 KB 0755
chronyd File 263.08 KB 0755
chroot File 32.48 KB 0755
clock File 48.44 KB 0755
clockdiff File 19.04 KB 0755
consoletype File 6.95 KB 0755
convertquota File 70.88 KB 0755
cracklib-check File 7.04 KB 0755
cracklib-format File 246 B 0755
cracklib-packer File 11.06 KB 0755
cracklib-unpacker File 7.02 KB 0755
create-cracklib-dict File 990 B 0755
crond File 68.48 KB 0755
csf File 245.1 KB 0700
ctrlaltdel File 11.2 KB 0755
ctstat File 20.09 KB 0755
ddns-confgen File 19.44 KB 0755
debugfs File 120.64 KB 0755
delpart File 19.69 KB 0755
depmod File 143.24 KB 0755
devlink File 64.72 KB 0755
dhclient File 414.34 KB 0755
dhclient-script File 30.38 KB 0755
dmfilemapd File 19.16 KB 0555
dmidecode File 120.2 KB 0755
dmsetup File 149.2 KB 0555
dmstats File 149.2 KB 0555
dnsmasq File 340.8 KB 0755
dnssec-checkds File 922 B 0755
dnssec-coverage File 924 B 0755
dnssec-dsfromkey File 56.6 KB 0755
dnssec-importkey File 52.59 KB 0755
dnssec-keyfromlabel File 60.52 KB 0755
dnssec-keygen File 64.55 KB 0755
dnssec-keymgr File 920 B 0755
dnssec-revoke File 48.45 KB 0755
dnssec-settime File 56.52 KB 0755
dnssec-signzone File 105.7 KB 0755
dnssec-verify File 48.46 KB 0755
dovecot File 370.67 KB 0755
dovecot_cpshutdown File 3.27 KB 0755
dracut File 55.83 KB 0755
dumpe2fs File 23.62 KB 0755
e2freefrag File 11.15 KB 0755
e2fsck File 250.55 KB 0755
e2image File 27.85 KB 0755
e2label File 69.41 KB 0755
e2undo File 11.32 KB 0755
e4defrag File 23.55 KB 0755
eapol_test File 1.77 MB 0755
ebtables File 6.85 KB 0755
ebtables-restore File 10.88 KB 0755
ebtables-save File 851 B 0755
edquota File 83.09 KB 0755
ether-wake File 73.26 KB 0755
ethtool File 293.87 KB 0755
exicyclog File 11.01 KB 0755
exigrep File 10.44 KB 0755
exim File 1.33 MB 4755
exim_checkaccess File 4.73 KB 0755
exim_dbmbuild File 82.09 KB 0755
exim_dumpdb File 134.47 KB 0755
exim_fixdb File 168.22 KB 0755
exim_lock File 64.66 KB 0755
exim_tidydb File 142.8 KB 0755
eximstats File 148.01 KB 0755
exinext File 8.02 KB 0755
exiqgrep File 5.46 KB 0755
exiqsumm File 5.07 KB 0755
exiwhat File 4.32 KB 0755
exportfs File 76.91 KB 0755
faillock File 15.02 KB 0755
fcgistarter File 23.85 KB 0755
fdformat File 11.27 KB 0755
fdisk File 195.8 KB 0755
filefrag File 15.23 KB 0755
findfs File 11.2 KB 0755
firewalld File 6.87 KB 0755
fixfiles File 11.03 KB 0755
fsck File 32.12 KB 0755
fsck.btrfs File 1.16 KB 0755
fsck.cramfs File 19.57 KB 0755
fsck.ext2 File 250.55 KB 0755
fsck.ext3 File 250.55 KB 0755
fsck.ext4 File 250.55 KB 0755
fsck.minix File 73.32 KB 0755
fsck.xfs File 433 B 0755
fsfreeze File 11.23 KB 0755
fstrim File 40.59 KB 0755
fuser File 32.34 KB 0755
fxload File 19.26 KB 0755
genhomedircon File 23.77 KB 0755
genhostid File 6.94 KB 0755
genl File 52.81 KB 0755
genl-ctrl-list File 11.27 KB 0755
genrandom File 11.16 KB 0755
getcap File 11.13 KB 0755
getenforce File 7.01 KB 0755
getpcaps File 7.07 KB 0755
getsebool File 11.13 KB 0755
glibc_post_upgrade.i686 File 700.2 KB 0700
glibc_post_upgrade.x86_64 File 772.05 KB 0700
groupadd File 85.65 KB 0755
groupdel File 77.38 KB 0755
groupmems File 55.97 KB 0755
groupmod File 85.66 KB 0755
grpck File 59.93 KB 0755
grpconv File 51.73 KB 0755
grpunconv File 51.73 KB 0755
grub2-bios-setup File 1.03 MB 0755
grub2-get-kernel-settings File 2.08 KB 0755
grub2-install File 1.29 MB 0755
grub2-macbless File 1.02 MB 0755
grub2-mkconfig File 7.63 KB 0755
grub2-ofpathname File 225.54 KB 0755
grub2-probe File 1.03 MB 0755
grub2-reboot File 4 KB 0755
grub2-rpm-sort File 258.52 KB 0755
grub2-set-default File 3.46 KB 0755
grub2-setpassword File 2.96 KB 0755
grub2-sparc64-setup File 1.04 MB 0755
grubby File 71.27 KB 0755
gss-server File 23.13 KB 0755
gssproxy File 130.64 KB 0755
halt File 704.8 KB 0755
hardlink File 15.29 KB 0755
haveged File 28.38 KB 0755
htcacheclean File 78.45 KB 0755
httpd File 2.31 MB 0755
hwclock File 48.44 KB 0755
iconvconfig File 22.15 KB 0755
iconvconfig.i686 File 21.45 KB 0755
iconvconfig.x86_64 File 22.15 KB 0755
ifcfg File 2.99 KB 0755
ifconfig File 80.05 KB 0755
ifdown File 1.61 KB 0755
ifenslave File 19.74 KB 0755
ifstat File 40.6 KB 0755
ifup File 4.89 KB 0755
imunify-notifier File 9.8 MB 0755
init File 1.56 MB 0755
insmod File 143.24 KB 0755
install-info File 110.42 KB 0755
installkernel File 2.69 KB 0755
intel-microcode2ucode File 11.1 KB 0755
ip File 459.59 KB 0755
ip6tables File 91.52 KB 0755
ip6tables-restore File 91.52 KB 0755
ip6tables-save File 91.52 KB 0755
ipmaddr File 19.33 KB 0755
iprconfig File 394.37 KB 0755
iprdbg File 135.94 KB 0700
iprdump File 123.67 KB 0755
iprinit File 123.64 KB 0755
iprsos File 2.18 KB 0755
iprupdate File 123.64 KB 0755
ipset File 7.02 KB 0755
iptables File 91.52 KB 0755
iptables-restore File 91.52 KB 0755
iptables-save File 91.52 KB 0755
iptunnel File 23.33 KB 0755
irqbalance File 48.5 KB 0755
isc-hmac-fixup File 11.2 KB 0755
kexec File 166.06 KB 0755
key.dns_resolver File 19.45 KB 0755
killall5 File 23.17 KB 0755
kpartx File 39.47 KB 0755
lchage File 15.41 KB 0755
ldattach File 27.93 KB 0755
ldconfig File 952.08 KB 0755
lfd File 382.42 KB 0700
lgroupadd File 11.28 KB 0755
lgroupdel File 11.26 KB 0755
lgroupmod File 15.44 KB 0755
lid File 15.4 KB 0755
lnewusers File 15.46 KB 0755
lnstat File 20.09 KB 0755
load_policy File 10.97 KB 0755
logrotate File 68.61 KB 0755
logsave File 11.27 KB 0755
losetup File 82.45 KB 0755
lpasswd File 15.5 KB 0755
lsmod File 143.24 KB 0755
lsof File 150.57 KB 0755
lspci File 73.67 KB 0755
luseradd File 15.38 KB 0755
luserdel File 11.3 KB 0755
lusermod File 19.43 KB 0755
lwresd File 768.18 KB 0755
makedumpfile File 376.52 KB 0755
matchpathcon File 11.19 KB 0755
mii-diag File 20.08 KB 0755
mii-tool File 19.51 KB 0755
mkdict File 246 B 0755
mkdumprd File 13.99 KB 0755
mke2fs File 94.08 KB 0755
mkfs File 11.25 KB 0755
mkfs.btrfs File 366.45 KB 0755
mkfs.cramfs File 36.16 KB 0755
mkfs.ext2 File 94.08 KB 0755
mkfs.ext3 File 94.08 KB 0755
mkfs.ext4 File 94.08 KB 0755
mkfs.minix File 36.27 KB 0755
mkfs.xfs File 359.8 KB 0755
mkhomedir_helper File 19.05 KB 0755
mklost+found File 11.11 KB 0755
mkswap File 69.64 KB 0755
modinfo File 143.24 KB 0755
modprobe File 143.24 KB 0755
modsec-sdbm-util File 22.17 KB 0750
mount.nfs File 114.68 KB 4755
mount.nfs4 File 114.68 KB 4755
mountstats File 40.59 KB 0755
mysqld File 92.8 MB 0755
mysqld-debug File 61.75 MB 0755
named File 768.18 KB 0755
named-checkconf File 32.25 KB 0755
named-checkzone File 32.06 KB 0755
named-compilezone File 32.06 KB 0755
named-journalprint File 11.13 KB 0755
nameif File 15.32 KB 0755
netreport File 10.96 KB 2755
new-kernel-pkg File 24.96 KB 0755
newusers File 93.45 KB 0755
nfsdcltrack File 40.11 KB 0755
nfsidmap File 19.32 KB 0755
nfsiostat File 23.64 KB 0755
nfsstat File 29.84 KB 0755
nl-class-add File 11.7 KB 0755
nl-class-delete File 11.55 KB 0755
nl-class-list File 11.48 KB 0755
nl-classid-lookup File 11.29 KB 0755
nl-cls-add File 11.76 KB 0755
nl-cls-delete File 11.68 KB 0755
nl-cls-list File 11.58 KB 0755
nl-link-list File 11.52 KB 0755
nl-pktloc-lookup File 11.36 KB 0755
nl-qdisc-add File 11.6 KB 0755
nl-qdisc-delete File 11.54 KB 0755
nl-qdisc-list File 11.63 KB 0755
nologin File 7.01 KB 0755
nscd File 180.02 KB 0755
nsec3hash File 11.13 KB 0755
nstat File 23.88 KB 0755
osd_login File 2.55 KB 0755
ownership File 15.04 KB 0755
packer File 11.06 KB 0755
pam_console_apply File 39.69 KB 0755
pam_tally2 File 15.05 KB 0755
pam_timestamp_check File 10.97 KB 4755
paperconfig File 4.07 KB 0755
parted File 77.22 KB 0755
partprobe File 11.23 KB 0755
partx File 86.55 KB 0755
pidof File 23.17 KB 0755
ping6 File 64.63 KB 0755
pivot_root File 11.19 KB 0755
plipconfig File 11.06 KB 0755
plymouth-set-default-theme File 6.21 KB 0755
plymouthd File 84.22 KB 0755
poweroff File 704.8 KB 0755
ppp-watch File 23.2 KB 0755
pppd File 372.98 KB 0555
pppdump File 52.77 KB 0755
pppoe-discovery File 18.04 KB 0555
pppstats File 14.99 KB 0755
prl_nettool File 893.45 KB 0755
pure-authd File 18.37 KB 0755
pure-certd File 18.27 KB 0755
pure-config.pl File 4.64 KB 0755
pure-ftpd File 173.28 KB 0755
pure-ftpwho File 25.96 KB 0755
pure-mrtginfo File 9.93 KB 0755
pure-quotacheck File 13.95 KB 0755
pure-uploadscript File 14.21 KB 0755
pwck File 51.71 KB 0755
pwconv File 47.57 KB 0755
pwhistory_helper File 15.44 KB 0755
pwunconv File 47.59 KB 0755
quot File 70.66 KB 0755
quotacheck File 107.29 KB 0755
quotaoff File 75.03 KB 0755
quotaon File 75.03 KB 0755
quotastats File 14.03 KB 0755
rdisc File 23.17 KB 0755
rdma File 73.42 KB 0755
rdma-ndd File 15.36 KB 0755
readprofile File 15.46 KB 0755
reboot File 704.8 KB 0755
repquota File 75.16 KB 0755
request-key File 19.41 KB 0755
resize2fs File 48.41 KB 0755
resizepart File 32.36 KB 0755
restorecon File 27.16 KB 0755
rmmod File 143.24 KB 0755
rndc File 35.88 KB 0755
rndc-confgen File 19.44 KB 0755
rotatelogs File 53 KB 0755
route File 66.6 KB 0755
routef File 173 B 0755
routel File 1.59 KB 0755
rpc.gssd File 88.73 KB 0755
rpc.idmapd File 48.13 KB 0755
rpc.mountd File 128.91 KB 0755
rpc.nfsd File 40.2 KB 0755
rpc.rquotad File 78.95 KB 0755
rpc.statd File 97.59 KB 0755
rpcbind File 60.07 KB 0755
rpcdebug File 18.05 KB 0755
rpcinfo File 27.3 KB 0755
rsyslogd File 648.45 KB 0755
rtacct File 41.93 KB 0755
rtcwake File 31.96 KB 0755
rtmon File 48.67 KB 0755
rtpr File 37 B 0755
rtstat File 20.09 KB 0755
runlevel File 704.8 KB 0755
runq File 1.33 MB 4755
runuser File 32.21 KB 0755
safe_finger File 11.08 KB 0755
sasldblistusers2 File 19.26 KB 0755
saslpasswd2 File 15.09 KB 0755
sefcontext_compile File 60.53 KB 0755
selabel_digest File 11.17 KB 0755
selabel_lookup File 11.14 KB 0755
selabel_lookup_best_match File 11.16 KB 0755
selabel_partial_match File 11.09 KB 0755
selinux_restorecon File 15.21 KB 0755
selinuxconlist File 11.1 KB 0755
selinuxdefcon File 11.12 KB 0755
selinuxenabled File 6.98 KB 0755
selinuxexeccon File 7.09 KB 0755
semanage File 42.76 KB 0755
semodule File 23.77 KB 0755
sendmail File 13.48 KB 2755
service File 3.17 KB 0755
sestatus File 15.02 KB 0755
setcap File 11.13 KB 0755
setenforce File 7.05 KB 0755
setfiles File 27.16 KB 0755
setpci File 23.4 KB 0755
setquota File 83.16 KB 0755
setsebool File 14.99 KB 0755
sfdisk File 83.25 KB 0755
showmount File 19.56 KB 0755
shutdown File 704.8 KB 0755
sim_server File 10.97 KB 0755
slattach File 42.4 KB 0755
sln File 743.78 KB 0755
sm-notify File 68.43 KB 0755
smartctl File 864.48 KB 0755
smartd File 670.63 KB 0755
snmpd File 31.05 KB 0755
snmptrapd File 31.22 KB 0755
ss File 128.44 KB 0755
sshd File 836.91 KB 0755
sshd-keygen File 3.53 KB 0755
start-statd File 842 B 0755
start-stop-daemon File 32.96 KB 0755
suexec File 43.3 KB 4755
sulogin File 40.53 KB 0755
suphp File 2.47 MB 4750
sushell File 67 B 0755
sw-engine-fpm File 22.35 MB 0755
swaplabel File 15.31 KB 0755
swapoff File 15.53 KB 0755
swapon File 53.29 KB 0755
switch_root File 15.35 KB 0755
sys-unconfig File 184 B 0755
sysctl File 23.57 KB 0755
t1libconfig File 3.83 KB 0755
tc File 384.66 KB 0755
tcpd File 36.62 KB 0755
tcpdmatch File 40.83 KB 0755
tcsd File 300.27 KB 0755
telinit File 704.8 KB 0755
tmpwatch File 27.87 KB 0755
tracepath File 15.05 KB 0755
tracepath6 File 15.05 KB 0755
try-from File 23.47 KB 0755
tsig-keygen File 19.44 KB 0755
tune2fs File 69.41 KB 0755
tuned File 3.29 KB 0755
tuned-adm File 5.22 KB 0755
udevadm File 414.27 KB 0755
umount.nfs File 114.68 KB 4755
umount.nfs4 File 114.68 KB 4755
unix_chkpwd File 35.42 KB 4755
unix_update File 35.42 KB 0700
update-alternatives File 27.61 KB 0755
update-pciids File 1.71 KB 0755
update-smart-drivedb File 14.34 KB 0755
useradd File 134.39 KB 0755
userdel File 93.5 KB 0755
usermod File 130.33 KB 0755
usernetctl File 11.03 KB 4755
uuserver File 14.97 KB 0755
vigr File 62.54 KB 0755
vipw File 62.54 KB 0755
virt-what File 11.57 KB 0755
visudo File 200.91 KB 0755
vmcore-dmesg File 19.28 KB 0755
vpddecode File 15.33 KB 0755
weak-modules File 31.9 KB 0755
whmapi0 File 3.02 MB 0755
whmapi1 File 3.02 MB 0755
whmlogin File 2.33 KB 0755
wipefs File 28.05 KB 0755
wpa_cli File 128.06 KB 0755
wpa_passphrase File 56.79 KB 0755
wpa_supplicant File 1.93 MB 0755
xfs_admin File 1.35 KB 0755
xfs_bmap File 638 B 0755
xfs_copy File 339.33 KB 0755
xfs_db File 576.38 KB 0755
xfs_estimate File 11.16 KB 0755
xfs_freeze File 767 B 0755
xfs_fsr File 31.83 KB 0755
xfs_growfs File 327.2 KB 0755
xfs_info File 472 B 0755
xfs_io File 122.68 KB 0755
xfs_logprint File 355.81 KB 0755
xfs_mdrestore File 314.81 KB 0755
xfs_metadump File 747 B 0755
xfs_mkfile File 1007 B 0755
xfs_ncheck File 650 B 0755
xfs_quota File 84.88 KB 0755
xfs_repair File 563.2 KB 0755
xfs_rtcp File 15.25 KB 0755
xqmstats File 14.03 KB 0755
xtables-multi File 91.52 KB 0755
yum-complete-transaction File 9.22 KB 0755
yumdb File 8.67 KB 0755
zdump File 14.02 KB 0755
zic File 50.02 KB 0755
zramctl File 82.23 KB 0755